Subject: bug#33174: 27.0.50; Dump fails on GNU/Linux ppc64le

From: Paul Eggert <[email-masked]>
Date: Tue, 13 Nov 2018 06:42:42 -0800

Thomas Fitzsimmons wrote:
> It looks like the second patch still disables ASLR unconditionally on
> PPC64.  If you want to suggest experiments I can try on my system, maybe
> I can attempt a fix so that ASLR can be disabled only during dumping on
> PPC64 like on other archiectures.  Or do you know that's an
> impossibility for some reason?

I don't recall the reason that ppc64 is different, but you can experiment by 
applying the attached patch. To help with the detective work you might look at 
the thread containing this email:

https://sourceware.org/ml/libc-alpha/2016-07/msg00538.html
diff --git a/src/sysdep.c b/src/sysdep.c
index ddcb594f66..71aa63a1c0 100644
--- a/src/sysdep.c
+++ b/src/sysdep.c
@@ -164,9 +164,6 @@ maybe_disable_address_randomization (bool dumping, int argc, char **argv)
   if (argc < 2 || strcmp (argv[1], aslr_disabled_option) != 0)
     {
       bool disable_aslr = dumping;
-# ifdef __PPC64__
-      disable_aslr = true;
-# endif
       exec_personality = disable_aslr ? personality (0xffffffff) : -1;
       if (exec_personality & ADDR_NO_RANDOMIZE)
 	exec_personality = -1;